package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.B1;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface B1Mapper {

    /**
     * 查询参数B1信息
     * @param b1
     * @return
     *//*
    public B1 selectB1(B1 b1);*/

    /*
     * 查询参数B1列表
     * @param b1
     * @return
     */
    List<B1> selectB1ListByInfo(B1 b1);

    List<B1> selectB1ListByProjectIDAndFromTo(@Param("projectId") String projectId,@Param("from") String from,@Param("to") String to);


    List<B1> selectB1ByUserIDAndFromTo(@Param("userId") String userId,@Param("from") String from,@Param("to") String to);

    public int insertOne(B1 b1);

    int examineB1(B1 b1);

    int delB1(B1 b1);

    int weekdelB1(@Param("projectId") String projectId,@Param("from") String from,@Param("to") String to);

    /**
     * 新增表b1字段 `员工id`
     */
    void addUserIdColumn();

    /**
     * 查询所有
     * @return
     */
    List<B1> selectAll();

    /**
     * 批量更新
     * @param list
     */
    void updateList(@Param("list") List<B1> list);

    /**
     * 新增B1列
     * @param b1
     * @return
     *//*
    public int insertB1(B1 b1);

    *//**
     * 修改B1列
     * @param b1
     * @return
     *//*
    public int updateB1(B1 b1);

    *//**
     * 删除B1列
     * @return
     *//*
    public int deleteB1ById(int id);

    *//**
     * 批量删除
     * @param
     * @return
     *//*
    public int deleteB1ByIds(int[] ids);*/

    /**
     * 查询所有
     * @return
     *//*
    public List<B1> selectB1List();*/
}
